<?php namespace Myriad\Queue\Drivers\Google;

use Illuminate\Queue\Connectors\ConnectorInterface;

class PubSubQueueConnector implements ConnectorInterface {

  /**
   * Establish a queue connection.
   *
   * @param  array $config
   * @return \Illuminate\Contracts\Queue\Queue
   */
  public function connect(array $config) {
    return new PubSubQueue($config);
  }

}